AWS Cloud Connectivity - Private Self Made - Update (PATCH)
This page documents the Update (PATCH) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/privates/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN
Parameters
| Parameter | In | Required | Type / default |
|---|---|---|---|
id | path | Yes | string uuid |
projectId | path | Yes | string uuid |
Request body
| JSON field | Required | Type / notes |
|---|---|---|
name | No | string: cloud connector name |
state | No | string (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state |
bandwidth | No | integer int32: cloud connector bandwidth |
maxBandwidth | No | integer int32: cloud connector maximum bandwidth |
technicalVpnId | No | string uuid: network connector uuid associated with the cloud connector |
awsCredentialId | No | string uuid: aws credential uuid to be used to manage the cloud connector on aws |
virtualInterfaceType | No | string (privateVif, transitVif): cloud connector virtual interface type |
location | No | string: cloud connector location |
region | No | string: cloud connector region |
customerGatewayId | No | string: customer gateway id |
routingPolicy | No | string (basicAggregate, defaultRoute, noAggregate): cloud connector routing policy |
Response
Successful response: 200. ok Response schema: object.